//======================================================== IBJtxt.h
//
// Dynamically allocated strings for IBJ-programs
// ==============================================
//
// Copyright (C) Janicke Consulting, Dunum, Germany, 1998-2001
// email: info@janicke.de
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 2 of
// the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// history:
//
//
//==================================================================

#ifndef  IBJQTL_INCLUDE
#define  IBJQTL_INCLUDE

#define DTB_NUMVAL     90
#define DTB_DIVISION   30.0
#define DTB_RANGE      1000.0

extern char *IBJqtlVersion;
extern ARYDSC DtbDsc;
extern ARYDSC QtlDsc;

#define DTB(a,b)  (*(DTBREC*)AryPtrX(&DtbDsc,(a),(b)))
#define QTL(a,b)  (*(float*)AryPtrX(&QtlDsc,(a),(b)))

typedef struct {
  float valmax;
  float frqnull, frqsub, frq[DTB_NUMVAL];
  float realmax, realdev;
  }  DTBREC;


//----------------------------------------------------------- QtlValue
float QtlQuantile(float q, DTBREC *p);

//---------------------------------------------------------- QtlSetValues
int QtlQuantiles(float q);

//----------------------------------------------------------- QtlRegister
int QtlRegister(float a, float g, DTBREC *p);

//-------------------------------------------------------------- QtlClear
int QtlClear( void );


#endif